Subject: bug#8217: 23.3; Runtime segmentation fault when compiled with -O2 on GNU/Linux

From: Ulrich Mueller <[email-masked]>
Date: Sat, 6 Aug 2016 15:29:44 +0200

>>>>> On Thu, 04 Aug 2016, npostavs  wrote:

> I guess this is fixed by now?  I usually build --with-toolkit=lucid
> (which I read in configure.ac is a synonym for athena), and I
> haven't hit this.

Looking through Gentoo ebuild history, I find that the workaround of
adding -fno-strict-aliasing to CFLAGS wasn't present for version 24.1,
and there never were any bugs reported to us. This seems to indicate
that the problem had disappeared already in early Emacs 24 versions.

However, I also cannot reproduce this any more with Emacs 23.4 and
GCC 5.4.0 (nor with GCC 4.9.3). So it may well be that this issue
wasn't with Emacs but with GCC.